ProfessionInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.isismtt.x509

## Class ProfessionInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.isismtt.x509.ProfessionInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ProfessionInfo
      extends ASN1Object

  Professions, specializations, disciplines, fields of activity, etc.

                     ProfessionInfo ::= SEQUENCE
                     {
                       namingAuthority [0] EXPLICIT NamingAuthority OPTIONAL,
                       professionItems SEQUENCE OF DirectoryString (SIZE(1..128)),
                       professionOIDs SEQUENCE OF OBJECT IDENTIFIER OPTIONAL,
                       registrationNumber PrintableString(SIZE(1..128)) OPTIONAL,
                       addProfessionInfo OCTET STRING OPTIONAL
                     }

  See Also:
    `AdmissionSyntax`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `Notar` Notar
    `static ASN1ObjectIdentifier` | `Notariatsverwalter` Notariatsverwalter
    `static ASN1ObjectIdentifier` | `Notariatsverwalterin` Notariatsverwalterin
    `static ASN1ObjectIdentifier` | `Notarin` Notarin
    `static ASN1ObjectIdentifier` | `Notarvertreter` Notarvertreter
    `static ASN1ObjectIdentifier` | `Notarvertreterin` Notarvertreterin
    `static ASN1ObjectIdentifier` | `Patentanwalt` Patentanwalt
    `static ASN1ObjectIdentifier` | `Patentanwltin` Patentanw�ltin
    `static ASN1ObjectIdentifier` | `Rechtsanwalt` Rechtsanwalt
    `static ASN1ObjectIdentifier` | `Rechtsanwltin` Rechtsanw�ltin
    `static ASN1ObjectIdentifier` | `Rechtsbeistand` Rechtsbeistand
    `static ASN1ObjectIdentifier` | `Steuerberater` Steuerberater
    `static ASN1ObjectIdentifier` | `Steuerberaterin` Steuerberaterin
    `static ASN1ObjectIdentifier` | `Steuerbevollmchtigte` Steuerbevollm�chtigte
    `static ASN1ObjectIdentifier` | `Steuerbevollmchtigter` Steuerbevollm�chtigter
    `static ASN1ObjectIdentifier` | `VereidigteBuchprferin` Vereidigte Buchpr�ferin
    `static ASN1ObjectIdentifier` | `VereidigterBuchprfer` Vereidigter Buchpr�fer
    `static ASN1ObjectIdentifier` | `Wirtschaftsprfer` Wirtschaftspr�fer
    `static ASN1ObjectIdentifier` | `Wirtschaftsprferin` Wirtschaftspr�ferin

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfessionInfo(NamingAuthority namingAuthority, DirectoryString[] professionItems, ASN1ObjectIdentifier[] professionOIDs, java.lang.String registrationNumber, ASN1OctetString addProfessionInfo)` Constructor from given details.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getAddProfessionInfo()`
    `static ProfessionInfo` | `getInstance(java.lang.Object obj)`
    `NamingAuthority` | `getNamingAuthority()`
    `DirectoryString[]` | `getProfessionItems()`
    `ASN1ObjectIdentifier[]` | `getProfessionOIDs()`
    `java.lang.String` | `getRegistrationNumber()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Rechtsanwltin

          public static final ASN1ObjectIdentifier Rechtsanwltin

      Rechtsanw�ltin

    - #### Rechtsanwalt

          public static final ASN1ObjectIdentifier Rechtsanwalt

      Rechtsanwalt

    - #### Rechtsbeistand

          public static final ASN1ObjectIdentifier Rechtsbeistand

      Rechtsbeistand

    - #### Steuerberaterin

          public static final ASN1ObjectIdentifier Steuerberaterin

      Steuerberaterin

    - #### Steuerberater

          public static final ASN1ObjectIdentifier Steuerberater

      Steuerberater

    - #### Steuerbevollmchtigte

          public static final ASN1ObjectIdentifier Steuerbevollmchtigte

      Steuerbevollm�chtigte

    - #### Steuerbevollmchtigter

          public static final ASN1ObjectIdentifier Steuerbevollmchtigter

      Steuerbevollm�chtigter

    - #### Notarin

          public static final ASN1ObjectIdentifier Notarin

      Notarin

    - #### Notar

          public static final ASN1ObjectIdentifier Notar

      Notar

    - #### Notarvertreterin

          public static final ASN1ObjectIdentifier Notarvertreterin

      Notarvertreterin

    - #### Notarvertreter

          public static final ASN1ObjectIdentifier Notarvertreter

      Notarvertreter

    - #### Notariatsverwalterin

          public static final ASN1ObjectIdentifier Notariatsverwalterin

      Notariatsverwalterin

    - #### Notariatsverwalter

          public static final ASN1ObjectIdentifier Notariatsverwalter

      Notariatsverwalter

    - #### Wirtschaftsprferin

          public static final ASN1ObjectIdentifier Wirtschaftsprferin

      Wirtschaftspr�ferin

    - #### Wirtschaftsprfer

          public static final ASN1ObjectIdentifier Wirtschaftsprfer

      Wirtschaftspr�fer

    - #### VereidigteBuchprferin

          public static final ASN1ObjectIdentifier VereidigteBuchprferin

      Vereidigte Buchpr�ferin

    - #### VereidigterBuchprfer

          public static final ASN1ObjectIdentifier VereidigterBuchprfer

      Vereidigter Buchpr�fer

    - #### Patentanwltin

          public static final ASN1ObjectIdentifier Patentanwltin

      Patentanw�ltin

    - #### Patentanwalt

          public static final ASN1ObjectIdentifier Patentanwalt

      Patentanwalt

  - ### Constructor Detail

    - #### ProfessionInfo

          public ProfessionInfo(NamingAuthority namingAuthority,
                                DirectoryString[] professionItems,
                                ASN1ObjectIdentifier[] professionOIDs,
                                java.lang.String registrationNumber,
                                ASN1OctetString addProfessionInfo)

      Constructor from given details.

      `professionItems` is mandatory, all other parameters are optional.

      Parameters:
        `namingAuthority` - The naming authority.
        `professionItems` - Directory strings of the profession.
        `professionOIDs` - DERObjectIdentfier objects for the profession.
        `registrationNumber` - Registration number.
        `addProfessionInfo` - Additional infos in encoded form.

  - ### Method Detail

    - #### getInstance

          public static ProfessionInfo getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

      Returns:

                         ProfessionInfo ::= SEQUENCE
                         {
                           namingAuthority [0] EXPLICIT NamingAuthority OPTIONAL,
                           professionItems SEQUENCE OF DirectoryString (SIZE(1..128)),
                           professionOIDs SEQUENCE OF OBJECT IDENTIFIER OPTIONAL,
                           registrationNumber PrintableString(SIZE(1..128)) OPTIONAL,
                           addProfessionInfo OCTET STRING OPTIONAL
                         }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a DERObject

    - #### getAddProfessionInfo

          public ASN1OctetString getAddProfessionInfo()

      Returns:
        Returns the addProfessionInfo.

    - #### getNamingAuthority

          public NamingAuthority getNamingAuthority()

      Returns:
        Returns the namingAuthority.

    - #### getProfessionItems

          public DirectoryString[] getProfessionItems()

      Returns:
        Returns the professionItems.

    - #### getProfessionOIDs

          public ASN1ObjectIdentifier[] getProfessionOIDs()

      Returns:
        Returns the professionOIDs.

    - #### getRegistrationNumber

          public java.lang.String getRegistrationNumber()

      Returns:
        Returns the registrationNumber.